Macaulay2 » Documentation
Packages » Macaulay2Doc » The Macaulay2 language » debugging » currentPosition
next | previous | forward | backward | up | index | toc

# currentPosition -- the current position in the current source file

- Usage:
    `currentPosition()`
- Outputs:
  - a file position, the current position in the source file

## Description

    i1 : currentPosition()

    o1 = currentString:2:0

    o1 : FilePosition

    i2 : peek'_2 oo

    o2 = FilePosition{"currentString", 2, 0}

## See also

- currentRowNumber -- current row number of the current input file
- currentColumnNumber -- current column number of the current input file

## For the programmer

The object currentPosition is a function closure.

The source of this document is in /build/macaulay2-88fgJW/macaulay2-1.25.11+ds/M2/Macaulay2/packages/Macaulay2Doc/ov_repl.m2:909:0.